CREATE TABLE mot_resource_quotas_int (
    BATCH_ID                 NUMBER(18, 0) ,
    INTERFACE_ROW_ID         NUMBER(18, 0) ,
    IMPORT_STATUS_CODE       VARCHAR2(120) ,
    INTERNAL_ACTION_CODE     VARCHAR2(120) ,
    FILE_RECORD_NUM          NUMBER(10, 0) ,
    INTERNAL_OVN             NUMBER(9, 0)  ,
    FILE_NAME_SYSTASK_ID     NUMBER(18, 0) ,
    ERROR_MESSAGE            VARCHAR2(4000),
    REQUEST_ID               NUMBER(18, 0) ,
    QUOTA_PLAN_NAME          VARCHAR2(400) ,
    TERRITORY_NUMBER         VARCHAR2(120) ,
    RESOURCE_EMAIL           VARCHAR2(1280),
    GOAL_NUMBER              VARCHAR2(120) ,
    RESOURCE_QUOTA_ID        NUMBER(18, 0) ,
    TERRITORY_QUOTA_ID       NUMBER(18, 0) ,
    QUOTA_PLAN_ID            NUMBER(18, 0) ,
    TERRITORY_VERSION_ID     NUMBER(18, 0) ,
    RESOURCE_ID              NUMBER        ,
    GOAL_ID                  NUMBER(18, 0) ,
    RESOURCE_QUOTA           NUMBER        ,
    ALLOCATION_COMMENTS      VARCHAR2(2000),
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    BATCH_ID                 NUMBER(18, 0) ,
    INTERFACE_ROW_ID         NUMBER(18, 0) ,
    IMPORT_STATUS_CODE       VARCHAR2(120) ,
    INTERNAL_ACTION_CODE     VARCHAR2(120) ,
    FILE_RECORD_NUM          NUMBER(10, 0) ,
    INTERNAL_OVN             NUMBER(9, 0)  ,
    FILE_NAME_SYSTASK_ID     NUMBER(18, 0) ,
    ERROR_MESSAGE            VARCHAR2(4000),
    REQUEST_ID               NUMBER(18, 0) ,
    QUOTA_PLAN_NAME          VARCHAR2(400) ,
    TERRITORY_NUMBER         VARCHAR2(120) ,
    RESOURCE_EMAIL           VARCHAR2(1280),
    GOAL_NUMBER              VARCHAR2(120) ,
    RESOURCE_QUOTA_ID        NUMBER(18, 0) ,
    TERRITORY_QUOTA_ID       NUMBER(18, 0) ,
    QUOTA_PLAN_ID            NUMBER(18, 0) ,
    TERRITORY_VERSION_ID     NUMBER(18, 0) ,
    RESOURCE_ID              NUMBER        ,
    GOAL_ID                  NUMBER(18, 0) ,
    RESOURCE_QUOTA           NUMBER        ,
    ALLOCATION_COMMENTS      VARCHAR2(2000),
    CREATED_BY               VARCHAR2(256) ,
    CREATION_DATE            TIMESTAMP(6)  ,
    LAST_UPDATED_BY          VARCHAR2(256) ,
    LAST_UPDATE_DATE         TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_mot_resource_quotas_int PRIMARY KEY (BATCH_ID, INTERFACE_ROW_ID, BATCH_ID, INTERFACE_ROW_ID)
);
